    import chart from 'mapbox-plugins/src/chart/chartmodel.js'

public class | source

# chart

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | data: * |
public | dataName: * |
public | ele: * |
public | maxValue: number |
public | rotate: * |
public | type: * |
public | url: * |

## Method Summary

Public Methods
public | generateSinLine(sin: *, xEnd: *, fatness: *, offset: *): * generate Math.sin/cos line data.. |
public | render() render data in Canvas according data dimension width different strategy.. |
public | setData(data: *): * set chart.data with Array instance, then redraw. |
public | statMax(): * |
public | updateData() |

## Public Constructors

### public constructor() source

## Public Members

### public data: * source

### public dataName: * source

### public ele: * source

### public maxValue: number source

### public rotate: * source

### public type: * source

### public url: * source

## Public Methods

### public generateSinLine(sin: *, xEnd: *, fatness: *, offset: *): * source

generate Math.sin/cos line data..

sin: 'sin'/'cos'/'tan' @string xEnd: finally returned points number. fatness: fatness of line. bigger the fatter will the line be. offset: offset to left with animation. @number

Return: 2 dimension Array. [[x1,y1], [x2,y2] ...] @Array

#### Params:

Name | Type | Attribute | Description
sin | * |  |
xEnd | * |  |
fatness | * |  |
offset | * |  |

#### Return:

*

### public render() source

render data in Canvas according data dimension width different strategy..

### public setData(data: *): * source

set chart.data with Array instance, then redraw.

#### Params:

Name | Type | Attribute | Description
data | * |  |

#### Return:

*

### public statMax(): * source

#### Return:

*

### public updateData() source